Bug 433038 - X fails to start on IBM Power5
X fails to start on IBM Power5
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
powerpc Linux
low Severity medium
: beta
: ---
Assigned To: Don Zickus
James Laska
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-15 15:18 EST by James Laska
Modified: 2013-09-02 02:24 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:09:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (RHEL5.2) (14.24 KB, text/plain)
2008-02-15 15:18 EST, James Laska
no flags Details
Xorg.0.log (RHEL-5-Server/U1) (16.00 KB, text/plain)
2008-02-15 15:41 EST, James Laska
no flags Details
use the correct directory (932 bytes, patch)
2008-02-19 10:38 EST, Don Zickus
no flags Details | Diff

  None (edit)
Description James Laska 2008-02-15 15:18:27 EST
Description of problem:

See Xorg.0.log attached

Backtrace:
0: /usr/bin/Xorg(xf86SigHandler+0x98) [0x1007cf68]
1: [0x100344]
2: [0x1024ac58]
3: [0x1024ae14]
4: /usr/lib/xorg/modules/libfb.so(fbOddTile+0x184) [0xf64aa24]
5: /usr/lib/xorg/modules/libfb.so(fbTile+0xbc) [0xf64ab7c]
6: /usr/lib/xorg/modules/libfb.so(fbFillRegionTiled+0x1b8) [0xf64b608]
7: /usr/lib/xorg/modules/libfb.so(fbPaintWindow+0x188) [0xf64b968]
8: /usr/bin/Xorg [0x1013ada8]
9: /usr/bin/Xorg [0x10135050]
10: /usr/bin/Xorg(compPaintWindowBackground+0x78) [0x10183628]
11: /usr/bin/Xorg(miWindowExposures+0x32c) [0x100df6fc]
12: /usr/bin/Xorg(MapWindow+0x3ec) [0x1002cdfc]
13: /usr/bin/Xorg(InitRootWindow+0xdc) [0x1002cf9c]
14: /usr/bin/Xorg(main+0x400) [0x10026ba0]
15: /lib/libc.so.6 [0xfb7dc60]
16: /lib/libc.so.6 [0xfb7dea0]

Fatal server error:
Caught signal 11.  Server aborting

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Perform install, the provided xorg.conf appears to trigger the failure
  
Actual results:
Xorg fails to start

Expected results:
gdm login screen


Additional info:

$ cat /etc/X11/xorg.conf
# Xorg configuration created by pyxf86config

Section "ServerLayout"
	Identifier     "Default Layout"
	Screen      0  "Screen0" 0 0
	InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "InputDevice"
	Identifier  "Keyboard0"
	Driver      "kbd"
	Option	    "XkbModel" "pc105"
	Option	    "XkbLayout" "us"
EndSection

Section "Device"
	Identifier  "Videocard0"
	Driver      "fbdev"
EndSection

Section "Screen"
	Identifier "Screen0"
	Device     "Videocard0"
	DefaultDepth     24
	SubSection "Display"
		Viewport   0 0
		Depth     24
	EndSubSection
EndSection


Re-installing RHEL-5-Server/U1 to examine the xorg.conf generated that worked.
Comment 1 James Laska 2008-02-15 15:18:27 EST
Created attachment 295035 [details]
Xorg.0.log (RHEL5.2)
Comment 2 James Laska 2008-02-15 15:41:43 EST
Created attachment 295036 [details]
Xorg.0.log (RHEL-5-Server/U1)
Comment 5 Adam Jackson 2008-02-18 11:38:23 EST
Old log said:

(II) FBDEV(0): hardware: MATROX (video memory: 16384kB)
(II) FBDEV(0): checking modes against framebuffer device...
(II) FBDEV(0): checking modes against monitor...
(--) FBDEV(0): Virtual size is 640x480 (pitch 640)
(**) FBDEV(0):  Built-in mode "current": 25.2 MHz, 31.5 kHz, 59.9 Hz
(II) FBDEV(0): Modeline "current"   25.18  640 664 760 800  480 491 493 525
-hsync -vsync -csync

Which is plausble.  New log says:

(II) FBDEV(0): hardware: OFfb display (video memory: 300kB)
(II) FBDEV(0): checking modes against framebuffer device...
(II) FBDEV(0): checking modes against monitor...
(--) FBDEV(0): Virtual size is 640x480 (pitch 640)
(**) FBDEV(0):  Built-in mode "current": 100.0 MHz, 147.1 kHz, 282.8 Hz
(II) FBDEV(0): Modeline "current"  100.00  640 656 664 680  480 496 504 520
-hsync -vsync -csync

which is just egregiously dumb.  There's absolutely no way to do 640x480x32 in
300k of memory.

This pretty firmly places blame on a kernel change.  X does not attempt to tell
the kernel which framebuffer driver to load, so the 5.2 kernel is clearly not
loading matroxfb like it should.

Reassigning to kernel.
Comment 6 Ed Pollard 2008-02-18 12:14:39 EST
is there a system that is in the failing state that can be used
for investigation?

Comment 8 Ed Pollard 2008-02-18 13:10:20 EST
just a quick note here before I defer to Brad who is now online and looking into
this. 

Soemthing between 5.1 and 5.2 has changed that altered the matroxfb from being
built as a module

from the -81 src rpm
-----------------------------------------------------
config-rhel-ppc64-generic:CONFIG_FB_MATROX=y
kernel-2.6.18-ppc64.config:CONFIG_FB_MATROX=m
kernel-2.6.18-ppc64-debug.config:CONFIG_FB_MATROX=m
kernel-2.6.18-ppc64-kdump.config:CONFIG_FB_MATROX=m
kernel-2.6.18-ppc.config:CONFIG_FB_MATROX=y
kernel-2.6.18-ppc-smp.config:CONFIG_FB_MATROX=y

the -53 src rpm has
-----------------------------------------------------
config-rhel-ppc64-generic:CONFIG_FB_MATROX=y
kernel-2.6.18-ppc64.config:CONFIG_FB_MATROX=m
kernel-2.6.18-ppc64-debug.config:CONFIG_FB_MATROX=m
kernel-2.6.18-ppc64-kdump.config:CONFIG_FB_MATROX=m
kernel-2.6.18-ppc.config:CONFIG_FB_MATROX=y
kernel-2.6.18-ppc-smp.config:CONFIG_FB_MATROX=y


I don't see any change there so I am not sure what to look into next.
Of course there are a lot more configs for MATROX so perhaps I narroewd my
search to much.
Comment 9 Peter Martuccelli 2008-02-19 10:14:00 EST
Don produced a one line config file change to resolve the issue, and is working
with Ed to test out the change.
Comment 10 Ed Pollard 2008-02-19 10:22:26 EST
Adding Don to the cc list as I believe he will post the fix for this one. I will
also let him explain the issue if he chooses but there was a problem with the
spec file starting in the .67 build of the kernel that caused the matrox driver
to not be included. 

I am currently testing the fix and so far the results look good. Just waiting on
visual confirmation that X started without problem. 

Linux ibm-l4a-lp1.test.redhat.com 2.6.18-81.el5.81.el5.37332 #1 SMP Mon Feb 18
17:08:09 EST 2008 ppc64 ppc64 ppc64 GNU/Linux

[root@ibm-l4a-lp1 ~]# grep MATROX /var/log/Xorg.0.log
(II) FBDEV(0): hardware: MATROX (video memory: 16384kB)

from the logs it picked the right driver this time. When teh driver wasn't
compiled in then this line wouldn't have shown up.

the brew task for this was task_1174070
Comment 11 Ed Pollard 2008-02-19 10:23:28 EST
Just got confirmation from James, the X server started up with workable colors. 
Comment 12 Don Zickus 2008-02-19 10:36:21 EST
So in -67.el5 I made giant updates to the spec file to bring it up to par with
the spec guidelines.  :)  Apparently I missed a spot and the magic rhel config
file override for ppc64 didn't get applied thus causing this problem.  The patch
is simple and the difference can be seen with a 'make prep' (as FB_MATROX will
now be enabled on ppc64.config files).
Comment 13 Don Zickus 2008-02-19 10:38:10 EST
Created attachment 295299 [details]
use the correct directory
Comment 14 James Laska 2008-02-21 08:22:59 EST
VERIFIED and tested the kernel-2.6.18-82.el5 and all worked as expected :)

Once this bz is moved into MODIFIED ... I'll move it to VERIFIED
Comment 15 Don Zickus 2008-02-21 10:40:29 EST
in 2.6.18-82.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 17 errata-xmlrpc 2008-05-21 11:09:38 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html

Note You need to log in before you can comment on or make changes to this bug.